
Redmine - Feature #32249

Show attachment thumbnails by default

2019-10-14 07:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Redmine displays thumbnails of attachments when the setting "Display attachment thumbnails" is enabled, but it is turned off by

default. So, some users may not know the feature. in my observation, almost half of admins unaware of this feature.

I suggest turning on the feature by default. It improves convenience and I think there are not many use cases that thumbnails should

not be displayed. Even if you don't want to display thumbnails, you can easily turn off the setting in the Administration screen.

The feature of displaying thumbnails is a common feature in many applications nowadays. It is a pity if users misunderstand that

Redmine lucks the feature.

diff --git a/config/settings.yml b/config/settings.yml

index d345a4cfa..e52a4e517 100644

--- a/config/settings.yml

+++ b/config/settings.yml

@@ -298,7 +298,7 @@ default_notification_option:

 emails_header:

   default: ''

 thumbnails_enabled:

-  default: 0

+  default: 1

 thumbnails_size:

   format: int

   default: 100

Related issues:

Related to Redmine - Feature #1006: Display thumbnails of attached images Closed 2008-04-07

Blocked by Redmine - Defect #32289: Don't try to generate thumbnails if conve... Closed

Associated revisions

Revision 18886 - 2019-10-31 14:20 - Go MAEDA

Show attachment thumbnails by default (#32249).

History

#1 - 2019-10-14 08:54 - Go MAEDA

- Related to Feature #1006: Display thumbnails of attached images added

#2 - 2019-10-15 05:53 - Bernhard Rohloff

+1 I had totally forgotten that this feature even exists...

#3 - 2019-10-15 09:17 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2019-10-16 08:24 - Go MAEDA

- Blocked by Defect #32289: Don't try to generate thumbnails if convert command is not available added

#5 - 2019-10-30 16:03 - Go MAEDA

- Assignee set to Go MAEDA
- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#6 - 2019-10-31 14:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch.
